
Redmine - Defect #4676

Atom feed from the issues page does not list every issue

2010-01-28 10:33 - Paul Read

Status: Closed Start date: 2010-01-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I have 52 issues open and showing on my issues page for one project.  If I look at the atom feed it only lists the top 12 items.

Another project has 23 open issues, the atom feed for this page lists 14 issues.

In both cases the CSV export contains all the issues.

Where did I go wrong?

History

#1 - 2010-01-28 14:34 - Felix Schäfer

I think the csv dumps all issues, or at least all that you see when on the issue list. I suppose the atom feed is somewhat date-bound, i.e. that you only

see issues that have been created in the last week or so, or updated in the last week.

#2 - 2010-01-29 09:28 - Paul Read

Looking further I have found  Admin->Settings->Feed content limit  so I have set this to 100

But that still does not give me 100 issues, so I had to change the ‘Objects per page options’ to 100, 200 etc

And now I get everything (as there are less than 100 items) but as soon as I breach the 100 limit then it will break again – seems the atom feed is not

ideal

Maybe the devs can provide a full atom feed that is always everything (maybe with a special parameter in the URL)

#3 - 2010-01-30 13:48 - Jean-Philippe Lang

Please read SubmittingBugs and provide the application log in debug mode when hitting the atom feed.

#4 - 2010-05-14 09:18 - Jm Delehaye

See this topic

#5 - 2010-07-09 13:02 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Fixed

Should be solved as of r3005.
